Skip to main content

Retrieve a user (by license plate number and state)

GET 

/api/users/by-license/:state/:licensePlate

Retrieve a user by passing in the license plate number and state of the user's vehicle.

Request

Path Parameters

    licensePlate stringrequired
    state stringrequired

Responses

The user object requested.

Schema

    id string

    Unique Id for the user

    firstName string

    User's first name

    lastName string

    User's last name

    email string

    User's email address

    phone string

    User's cell phone number

    adminNote string

    Internal admin note

    customField1 string

    Custom Field 1

    customField2 string

    Custom Field 2

    customField3 string

    Custom Field 3

    customField4 string

    Custom Field 4

    customField5 string

    Custom Field 5

    address

    object

    Address

    addressLine1 string

    Street Address Line 1

    addressLine2 string

    Street Address Line 2

    city string

    City

    state string

    2 Letter State Code

    country string

    2 Letter Country Code

    zip string

    Zip

    tosAnswer string

    Possible values: [None, Accepted, Declined]

    User's answer to terms of service for sharing data with Partner. (Only valid for certain partners)

    partnerCode string

    A code generated for the user to share with Partner. (Only valid for certain partners)

    dateRegistered string

    Time at which user was registered on the system

    updated string

    Last updated timestamp

    emailVerified boolean
    phoneVerified boolean
    fraud boolean
Loading...